Segments
Create a segment
Create a segment from a filter expression. It starts empty until evaluated. Validate and preview the filter first.
POST
/
api
/
v1
/
segments
Create a segment
curl --request POST \
--url https://www.useboom.ai/api/v1/segments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"slug": "<string>",
"filterExpression": {
"kind": "person",
"predicates": [
{
"kind": "has_relationship",
"customObjectType": "<string>",
"attributeFilters": [
{
"attr": "<string>",
"path": [
"<string>"
],
"value": "<string>"
}
],
"path": [
{
"customObjectType": "<string>",
"attributeFilters": [
{
"attr": "<string>",
"path": [
"<string>"
],
"value": "<string>"
}
],
"relationshipType": "<string>"
}
],
"exists": true
}
]
},
"description": "<string>",
"evaluationCadence": "REACTIVE_ONLY",
"dailyEvaluationHour": 11,
"skipWeekendEvaluation": true,
"outputColumns": {
"person": {
"columns": [],
"attributes": [
"<string>"
]
},
"customObjects": [
{
"typeName": "<string>",
"attributes": [
"<string>"
],
"path": [
{
"customObjectType": "<string>",
"attributeFilters": [
{
"attr": "<string>",
"path": [
"<string>"
],
"value": "<string>"
}
],
"relationshipType": "<string>"
}
]
}
],
"computed": [
"<string>"
]
},
"includeBoomCreated": true
}
'import requests
url = "https://www.useboom.ai/api/v1/segments"
payload = {
"name": "<string>",
"slug": "<string>",
"filterExpression": {
"kind": "person",
"predicates": [
{
"kind": "has_relationship",
"customObjectType": "<string>",
"attributeFilters": [
{
"attr": "<string>",
"path": ["<string>"],
"value": "<string>"
}
],
"path": [
{
"customObjectType": "<string>",
"attributeFilters": [
{
"attr": "<string>",
"path": ["<string>"],
"value": "<string>"
}
],
"relationshipType": "<string>"
}
],
"exists": True
}
]
},
"description": "<string>",
"evaluationCadence": "REACTIVE_ONLY",
"dailyEvaluationHour": 11,
"skipWeekendEvaluation": True,
"outputColumns": {
"person": {
"columns": [],
"attributes": ["<string>"]
},
"customObjects": [
{
"typeName": "<string>",
"attributes": ["<string>"],
"path": [
{
"customObjectType": "<string>",
"attributeFilters": [
{
"attr": "<string>",
"path": ["<string>"],
"value": "<string>"
}
],
"relationshipType": "<string>"
}
]
}
],
"computed": ["<string>"]
},
"includeBoomCreated": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
slug: '<string>',
filterExpression: {
kind: 'person',
predicates: [
{
kind: 'has_relationship',
customObjectType: '<string>',
attributeFilters: [{attr: '<string>', path: ['<string>'], value: '<string>'}],
path: [
{
customObjectType: '<string>',
attributeFilters: [{attr: '<string>', path: ['<string>'], value: '<string>'}],
relationshipType: '<string>'
}
],
exists: true
}
]
},
description: '<string>',
evaluationCadence: 'REACTIVE_ONLY',
dailyEvaluationHour: 11,
skipWeekendEvaluation: true,
outputColumns: {
person: {columns: [], attributes: ['<string>']},
customObjects: [
{
typeName: '<string>',
attributes: ['<string>'],
path: [
{
customObjectType: '<string>',
attributeFilters: [{attr: '<string>', path: ['<string>'], value: '<string>'}],
relationshipType: '<string>'
}
]
}
],
computed: ['<string>']
},
includeBoomCreated: true
})
};
fetch('https://www.useboom.ai/api/v1/segments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.useboom.ai/api/v1/segments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'slug' => '<string>',
'filterExpression' => [
'kind' => 'person',
'predicates' => [
[
'kind' => 'has_relationship',
'customObjectType' => '<string>',
'attributeFilters' => [
[
'attr' => '<string>',
'path' => [
'<string>'
],
'value' => '<string>'
]
],
'path' => [
[
'customObjectType' => '<string>',
'attributeFilters' => [
[
'attr' => '<string>',
'path' => [
'<string>'
],
'value' => '<string>'
]
],
'relationshipType' => '<string>'
]
],
'exists' => true
]
]
],
'description' => '<string>',
'evaluationCadence' => 'REACTIVE_ONLY',
'dailyEvaluationHour' => 11,
'skipWeekendEvaluation' => true,
'outputColumns' => [
'person' => [
'columns' => [
],
'attributes' => [
'<string>'
]
],
'customObjects' => [
[
'typeName' => '<string>',
'attributes' => [
'<string>'
],
'path' => [
[
'customObjectType' => '<string>',
'attributeFilters' => [
[
'attr' => '<string>',
'path' => [
'<string>'
],
'value' => '<string>'
]
],
'relationshipType' => '<string>'
]
]
]
],
'computed' => [
'<string>'
]
],
'includeBoomCreated' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.useboom.ai/api/v1/segments"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"slug\": \"<string>\",\n \"filterExpression\": {\n \"kind\": \"person\",\n \"predicates\": [\n {\n \"kind\": \"has_relationship\",\n \"customObjectType\": \"<string>\",\n \"attributeFilters\": [\n {\n \"attr\": \"<string>\",\n \"path\": [\n \"<string>\"\n ],\n \"value\": \"<string>\"\n }\n ],\n \"path\": [\n {\n \"customObjectType\": \"<string>\",\n \"attributeFilters\": [\n {\n \"attr\": \"<string>\",\n \"path\": [\n \"<string>\"\n ],\n \"value\": \"<string>\"\n }\n ],\n \"relationshipType\": \"<string>\"\n }\n ],\n \"exists\": true\n }\n ]\n },\n \"description\": \"<string>\",\n \"evaluationCadence\": \"REACTIVE_ONLY\",\n \"dailyEvaluationHour\": 11,\n \"skipWeekendEvaluation\": true,\n \"outputColumns\": {\n \"person\": {\n \"columns\": [],\n \"attributes\": [\n \"<string>\"\n ]\n },\n \"customObjects\": [\n {\n \"typeName\": \"<string>\",\n \"attributes\": [\n \"<string>\"\n ],\n \"path\": [\n {\n \"customObjectType\": \"<string>\",\n \"attributeFilters\": [\n {\n \"attr\": \"<string>\",\n \"path\": [\n \"<string>\"\n ],\n \"value\": \"<string>\"\n }\n ],\n \"relationshipType\": \"<string>\"\n }\n ]\n }\n ],\n \"computed\": [\n \"<string>\"\n ]\n },\n \"includeBoomCreated\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://www.useboom.ai/api/v1/segments")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"slug\": \"<string>\",\n \"filterExpression\": {\n \"kind\": \"person\",\n \"predicates\": [\n {\n \"kind\": \"has_relationship\",\n \"customObjectType\": \"<string>\",\n \"attributeFilters\": [\n {\n \"attr\": \"<string>\",\n \"path\": [\n \"<string>\"\n ],\n \"value\": \"<string>\"\n }\n ],\n \"path\": [\n {\n \"customObjectType\": \"<string>\",\n \"attributeFilters\": [\n {\n \"attr\": \"<string>\",\n \"path\": [\n \"<string>\"\n ],\n \"value\": \"<string>\"\n }\n ],\n \"relationshipType\": \"<string>\"\n }\n ],\n \"exists\": true\n }\n ]\n },\n \"description\": \"<string>\",\n \"evaluationCadence\": \"REACTIVE_ONLY\",\n \"dailyEvaluationHour\": 11,\n \"skipWeekendEvaluation\": true,\n \"outputColumns\": {\n \"person\": {\n \"columns\": [],\n \"attributes\": [\n \"<string>\"\n ]\n },\n \"customObjects\": [\n {\n \"typeName\": \"<string>\",\n \"attributes\": [\n \"<string>\"\n ],\n \"path\": [\n {\n \"customObjectType\": \"<string>\",\n \"attributeFilters\": [\n {\n \"attr\": \"<string>\",\n \"path\": [\n \"<string>\"\n ],\n \"value\": \"<string>\"\n }\n ],\n \"relationshipType\": \"<string>\"\n }\n ]\n }\n ],\n \"computed\": [\n \"<string>\"\n ]\n },\n \"includeBoomCreated\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.useboom.ai/api/v1/segments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"slug\": \"<string>\",\n \"filterExpression\": {\n \"kind\": \"person\",\n \"predicates\": [\n {\n \"kind\": \"has_relationship\",\n \"customObjectType\": \"<string>\",\n \"attributeFilters\": [\n {\n \"attr\": \"<string>\",\n \"path\": [\n \"<string>\"\n ],\n \"value\": \"<string>\"\n }\n ],\n \"path\": [\n {\n \"customObjectType\": \"<string>\",\n \"attributeFilters\": [\n {\n \"attr\": \"<string>\",\n \"path\": [\n \"<string>\"\n ],\n \"value\": \"<string>\"\n }\n ],\n \"relationshipType\": \"<string>\"\n }\n ],\n \"exists\": true\n }\n ]\n },\n \"description\": \"<string>\",\n \"evaluationCadence\": \"REACTIVE_ONLY\",\n \"dailyEvaluationHour\": 11,\n \"skipWeekendEvaluation\": true,\n \"outputColumns\": {\n \"person\": {\n \"columns\": [],\n \"attributes\": [\n \"<string>\"\n ]\n },\n \"customObjects\": [\n {\n \"typeName\": \"<string>\",\n \"attributes\": [\n \"<string>\"\n ],\n \"path\": [\n {\n \"customObjectType\": \"<string>\",\n \"attributeFilters\": [\n {\n \"attr\": \"<string>\",\n \"path\": [\n \"<string>\"\n ],\n \"value\": \"<string>\"\n }\n ],\n \"relationshipType\": \"<string>\"\n }\n ]\n }\n ],\n \"computed\": [\n \"<string>\"\n ]\n },\n \"includeBoomCreated\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"evaluationCadence": "REACTIVE_ONLY",
"memberCount": 0,
"includeBoomCreated": true,
"lastEvaluatedAt": "<string>",
"createdAt": "<string>",
"warnings": [
"<string>"
],
"newlyMatchingBoomCreated": 0
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
Body
application/json
When true, people Boom created for contacts who messaged you first (externalId boom:…) can match this segment. Defaults to false, or to true when the filter asks for them (identityOrigin MINTED). Boom enforces no marketing opt-in for them, so filter on consent yourself before marketing to them.
Response
Success
Set when this update turned includeBoomCreated on: the people created by Boom who now match. They enter on the next evaluation; every journey this segment triggers starts for them, and every scheduled campaign that sends to it includes them.
Required range:
-9007199254740991 <= x <= 9007199254740991Was this page helpful?
⌘I
Create a segment
curl --request POST \
--url https://www.useboom.ai/api/v1/segments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"slug": "<string>",
"filterExpression": {
"kind": "person",
"predicates": [
{
"kind": "has_relationship",
"customObjectType": "<string>",
"attributeFilters": [
{
"attr": "<string>",
"path": [
"<string>"
],
"value": "<string>"
}
],
"path": [
{
"customObjectType": "<string>",
"attributeFilters": [
{
"attr": "<string>",
"path": [
"<string>"
],
"value": "<string>"
}
],
"relationshipType": "<string>"
}
],
"exists": true
}
]
},
"description": "<string>",
"evaluationCadence": "REACTIVE_ONLY",
"dailyEvaluationHour": 11,
"skipWeekendEvaluation": true,
"outputColumns": {
"person": {
"columns": [],
"attributes": [
"<string>"
]
},
"customObjects": [
{
"typeName": "<string>",
"attributes": [
"<string>"
],
"path": [
{
"customObjectType": "<string>",
"attributeFilters": [
{
"attr": "<string>",
"path": [
"<string>"
],
"value": "<string>"
}
],
"relationshipType": "<string>"
}
]
}
],
"computed": [
"<string>"
]
},
"includeBoomCreated": true
}
'import requests
url = "https://www.useboom.ai/api/v1/segments"
payload = {
"name": "<string>",
"slug": "<string>",
"filterExpression": {
"kind": "person",
"predicates": [
{
"kind": "has_relationship",
"customObjectType": "<string>",
"attributeFilters": [
{
"attr": "<string>",
"path": ["<string>"],
"value": "<string>"
}
],
"path": [
{
"customObjectType": "<string>",
"attributeFilters": [
{
"attr": "<string>",
"path": ["<string>"],
"value": "<string>"
}
],
"relationshipType": "<string>"
}
],
"exists": True
}
]
},
"description": "<string>",
"evaluationCadence": "REACTIVE_ONLY",
"dailyEvaluationHour": 11,
"skipWeekendEvaluation": True,
"outputColumns": {
"person": {
"columns": [],
"attributes": ["<string>"]
},
"customObjects": [
{
"typeName": "<string>",
"attributes": ["<string>"],
"path": [
{
"customObjectType": "<string>",
"attributeFilters": [
{
"attr": "<string>",
"path": ["<string>"],
"value": "<string>"
}
],
"relationshipType": "<string>"
}
]
}
],
"computed": ["<string>"]
},
"includeBoomCreated": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
slug: '<string>',
filterExpression: {
kind: 'person',
predicates: [
{
kind: 'has_relationship',
customObjectType: '<string>',
attributeFilters: [{attr: '<string>', path: ['<string>'], value: '<string>'}],
path: [
{
customObjectType: '<string>',
attributeFilters: [{attr: '<string>', path: ['<string>'], value: '<string>'}],
relationshipType: '<string>'
}
],
exists: true
}
]
},
description: '<string>',
evaluationCadence: 'REACTIVE_ONLY',
dailyEvaluationHour: 11,
skipWeekendEvaluation: true,
outputColumns: {
person: {columns: [], attributes: ['<string>']},
customObjects: [
{
typeName: '<string>',
attributes: ['<string>'],
path: [
{
customObjectType: '<string>',
attributeFilters: [{attr: '<string>', path: ['<string>'], value: '<string>'}],
relationshipType: '<string>'
}
]
}
],
computed: ['<string>']
},
includeBoomCreated: true
})
};
fetch('https://www.useboom.ai/api/v1/segments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.useboom.ai/api/v1/segments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'slug' => '<string>',
'filterExpression' => [
'kind' => 'person',
'predicates' => [
[
'kind' => 'has_relationship',
'customObjectType' => '<string>',
'attributeFilters' => [
[
'attr' => '<string>',
'path' => [
'<string>'
],
'value' => '<string>'
]
],
'path' => [
[
'customObjectType' => '<string>',
'attributeFilters' => [
[
'attr' => '<string>',
'path' => [
'<string>'
],
'value' => '<string>'
]
],
'relationshipType' => '<string>'
]
],
'exists' => true
]
]
],
'description' => '<string>',
'evaluationCadence' => 'REACTIVE_ONLY',
'dailyEvaluationHour' => 11,
'skipWeekendEvaluation' => true,
'outputColumns' => [
'person' => [
'columns' => [
],
'attributes' => [
'<string>'
]
],
'customObjects' => [
[
'typeName' => '<string>',
'attributes' => [
'<string>'
],
'path' => [
[
'customObjectType' => '<string>',
'attributeFilters' => [
[
'attr' => '<string>',
'path' => [
'<string>'
],
'value' => '<string>'
]
],
'relationshipType' => '<string>'
]
]
]
],
'computed' => [
'<string>'
]
],
'includeBoomCreated' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.useboom.ai/api/v1/segments"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"slug\": \"<string>\",\n \"filterExpression\": {\n \"kind\": \"person\",\n \"predicates\": [\n {\n \"kind\": \"has_relationship\",\n \"customObjectType\": \"<string>\",\n \"attributeFilters\": [\n {\n \"attr\": \"<string>\",\n \"path\": [\n \"<string>\"\n ],\n \"value\": \"<string>\"\n }\n ],\n \"path\": [\n {\n \"customObjectType\": \"<string>\",\n \"attributeFilters\": [\n {\n \"attr\": \"<string>\",\n \"path\": [\n \"<string>\"\n ],\n \"value\": \"<string>\"\n }\n ],\n \"relationshipType\": \"<string>\"\n }\n ],\n \"exists\": true\n }\n ]\n },\n \"description\": \"<string>\",\n \"evaluationCadence\": \"REACTIVE_ONLY\",\n \"dailyEvaluationHour\": 11,\n \"skipWeekendEvaluation\": true,\n \"outputColumns\": {\n \"person\": {\n \"columns\": [],\n \"attributes\": [\n \"<string>\"\n ]\n },\n \"customObjects\": [\n {\n \"typeName\": \"<string>\",\n \"attributes\": [\n \"<string>\"\n ],\n \"path\": [\n {\n \"customObjectType\": \"<string>\",\n \"attributeFilters\": [\n {\n \"attr\": \"<string>\",\n \"path\": [\n \"<string>\"\n ],\n \"value\": \"<string>\"\n }\n ],\n \"relationshipType\": \"<string>\"\n }\n ]\n }\n ],\n \"computed\": [\n \"<string>\"\n ]\n },\n \"includeBoomCreated\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://www.useboom.ai/api/v1/segments")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"slug\": \"<string>\",\n \"filterExpression\": {\n \"kind\": \"person\",\n \"predicates\": [\n {\n \"kind\": \"has_relationship\",\n \"customObjectType\": \"<string>\",\n \"attributeFilters\": [\n {\n \"attr\": \"<string>\",\n \"path\": [\n \"<string>\"\n ],\n \"value\": \"<string>\"\n }\n ],\n \"path\": [\n {\n \"customObjectType\": \"<string>\",\n \"attributeFilters\": [\n {\n \"attr\": \"<string>\",\n \"path\": [\n \"<string>\"\n ],\n \"value\": \"<string>\"\n }\n ],\n \"relationshipType\": \"<string>\"\n }\n ],\n \"exists\": true\n }\n ]\n },\n \"description\": \"<string>\",\n \"evaluationCadence\": \"REACTIVE_ONLY\",\n \"dailyEvaluationHour\": 11,\n \"skipWeekendEvaluation\": true,\n \"outputColumns\": {\n \"person\": {\n \"columns\": [],\n \"attributes\": [\n \"<string>\"\n ]\n },\n \"customObjects\": [\n {\n \"typeName\": \"<string>\",\n \"attributes\": [\n \"<string>\"\n ],\n \"path\": [\n {\n \"customObjectType\": \"<string>\",\n \"attributeFilters\": [\n {\n \"attr\": \"<string>\",\n \"path\": [\n \"<string>\"\n ],\n \"value\": \"<string>\"\n }\n ],\n \"relationshipType\": \"<string>\"\n }\n ]\n }\n ],\n \"computed\": [\n \"<string>\"\n ]\n },\n \"includeBoomCreated\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.useboom.ai/api/v1/segments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"slug\": \"<string>\",\n \"filterExpression\": {\n \"kind\": \"person\",\n \"predicates\": [\n {\n \"kind\": \"has_relationship\",\n \"customObjectType\": \"<string>\",\n \"attributeFilters\": [\n {\n \"attr\": \"<string>\",\n \"path\": [\n \"<string>\"\n ],\n \"value\": \"<string>\"\n }\n ],\n \"path\": [\n {\n \"customObjectType\": \"<string>\",\n \"attributeFilters\": [\n {\n \"attr\": \"<string>\",\n \"path\": [\n \"<string>\"\n ],\n \"value\": \"<string>\"\n }\n ],\n \"relationshipType\": \"<string>\"\n }\n ],\n \"exists\": true\n }\n ]\n },\n \"description\": \"<string>\",\n \"evaluationCadence\": \"REACTIVE_ONLY\",\n \"dailyEvaluationHour\": 11,\n \"skipWeekendEvaluation\": true,\n \"outputColumns\": {\n \"person\": {\n \"columns\": [],\n \"attributes\": [\n \"<string>\"\n ]\n },\n \"customObjects\": [\n {\n \"typeName\": \"<string>\",\n \"attributes\": [\n \"<string>\"\n ],\n \"path\": [\n {\n \"customObjectType\": \"<string>\",\n \"attributeFilters\": [\n {\n \"attr\": \"<string>\",\n \"path\": [\n \"<string>\"\n ],\n \"value\": \"<string>\"\n }\n ],\n \"relationshipType\": \"<string>\"\n }\n ]\n }\n ],\n \"computed\": [\n \"<string>\"\n ]\n },\n \"includeBoomCreated\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"evaluationCadence": "REACTIVE_ONLY",
"memberCount": 0,
"includeBoomCreated": true,
"lastEvaluatedAt": "<string>",
"createdAt": "<string>",
"warnings": [
"<string>"
],
"newlyMatchingBoomCreated": 0
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}